# $Revision: 1.1.2.3 $, $Date: 2003/03/13 00:58:31 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Pod
%define	pnam	Simple
Summary:	Pod::Simple - framework for parsing Pod
Summary(pl):	Pod::Simple - szkielet dla analizy Pod
Name:		perl-Pod-Simple
Version:	0.96
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl-Pod-Escapes >= 1.03
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(overload()'

%description
Pod::Simple is a Perl library for parsing text in the Pod ("plain old
documentation") markup language that is typically used for writing
documentation for Perl and for Perl modules. The Pod format is
explained in the perlpod.3pm man page; the most common formatter is
called "perldoc".

%description -l pl
Pod::Simple jest bibliotek Perla do analizy tekstu w jzyku
znacznikw Pod ("plain old documentation"), w ktrym zazwyczaj pisana
jest dokumentacja Perla i moduw Perla. Format Pod jest objaniony na
stronie podrcznika perlpod.3pm; najpopularniejszym programem do
formatowania tej dokumentacji jest "perldoc".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_sitelib}/Pod/Simple.pm
%dir %{perl_sitelib}/Pod/Simple
%{perl_sitelib}/Pod/Simple/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Pod-Simple.spec,v $
Revision 1.1.2.3  2003/03/13 00:58:31  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.1.2.2  2003/03/10 21:49:34  ankry
- _noautoreq for bogus dep.

Revision 1.1.2.1  2003/03/10 21:36:08  ankry
- for RA

Revision 1.1  2003/03/10 21:31:40  ankry
- new
